---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.14
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-operator-6979ff5964-t5q7m
      namespace: openshift-dns-operator
      resourceVersion: "9336"
      uid: 42d369d5-aaad-49a9-af8d-f9e569f48e3f
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:52Z"
    creationTimestamp: "2022-03-08T10:13:57Z"
    generateName: metrics-
    generation: 2
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3ca5ab1b-f4cf-47d3-af83-2e841b0f368e"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:52Z"
    name: metrics-w6cmj
    namespace: openshift-dns-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: 3ca5ab1b-f4cf-47d3-af83-2e841b0f368e
    resourceVersion: "9337"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-dns-operator/endpointslices/metrics-w6cmj
    uid: f645d340-172c-4382-81f6-54b801b398cb
  ports:
  - name: metrics
    port: 9393
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82668"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-dns-operator/endpointslices
